Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector.warp
Class Constants

    java.lang.Object
      |
      +--org.apache.catalina.connector.warp.Constants

public class Constants
extends java.lang.Object

Field Summary
`static boolean` | `DEBUG` Compile-in debug flag.
`static java.lang.String` | `PACKAGE` Our package name.
`static int` | `TYPE_ASK_SSL` ASK_SSL: The WARP server (Tomcat) asks the WARP client to transfer the basic SSL information (cypher, keysize and session).
`static int` | `TYPE_ASK_SSL_CLIENT` ASK_SSL_CLIENT: The WARP server (Tomcat) asks the WARP server to transfer the client certificate.
`static int` | `TYPE_CBK_DATA` CBK_DATA: As requested by the WARP server, the WARP client (HTTP server) transmits a chunk of the request body.
`static int` | `TYPE_CBK_DONE` CBK_DATA: The WARP client (HTTP server) informs the WARP server that the request body has been fully transmitted.
`static int` | `TYPE_CBK_READ` CBK_READ: A request callback.
`static int` | `TYPE_CONF_APPLIC` CONF_APPLIC: The server replies to a CONF_DEPLOY message with the web application identifier of the configured application.
`static int` | `TYPE_CONF_DEPLOY` CONF_DEPLOY: The client attempts deploy a web application.
`static int` | `TYPE_CONF_DONE` CONF_DONE: Client issues this message when all configurations have been processed.
`static int` | `TYPE_CONF_ENUM` CONF_ENUM: The client requests to the server to enumerate all web-applications available for a specified virtual host.
`static int` | `TYPE_CONF_ENUM_APPL` CONF_ENUM_APPL: The server specifies the name of a web-application available for deployment in response to a CONF_ENUMERATE message.
`static int` | `TYPE_CONF_ENUM_DONE` CONF_ENUM_DONE: The server specifies all web-application names available for deployment for the host specified in the CONF_ENUM message have been transfered.
`static int` | `TYPE_CONF_MAP` CONF_MAP: The client requests to the server to enumerate all mappings for a specified web-application.
`static int` | `TYPE_CONF_MAP_ALLOW` CONF_MAP_ALLOW: The server replies to a CONF_MAP message with this packet to indicate a mapping to a static page, or a resource that can be served autonomously by the remote end (the web server).
`static int` | `TYPE_CONF_MAP_DENY` CONF_MAP_DENY: The server replies to a CONF_MAP message with this packet to indicate a mapping to a resource that must be served by the server (servlet container).
`static int` | `TYPE_CONF_MAP_DONE` CONF_MAP_DONE: The server replies to a CONF_MAP message with this packet to indicate that all servlet mappings have been successfully transfered to the other end No payload:
`static int` | `TYPE_CONF_PROCEED` CONF_PROCEED: Server issues this message in response to a CONF_DONE message, to acknowledge its readiness to accept requests.
`static int` | `TYPE_CONF_WELCOME` CONF_WELCOME: The server issues this packet when a connection is opened.
`static int` | `TYPE_DISCONNECT` DISCONNECT: The connection is being closed.
`static int` | `TYPE_ERROR` ERROR: The last operation didn't completed correctly.
`static int` | `TYPE_FATAL` FATAL: A protocol error occourred, the connection must be closed.
`static int` | `TYPE_INVALID` INVALID: The packet type hasn't been set yet.
`static int` | `TYPE_REP_SSL` REP_SSL: SSL information between Payload description: [string] The cipher_suite.
`static int` | `TYPE_REP_SSL_CERT` REP_SSL_CERT: The client certificate (remote peer).
`static int` | `TYPE_REP_SSL_NO` REP_SSL_NO: Request SSL information is not available.
`static int` | `TYPE_REQ_AUTH` REQ_AUTH: Authentication information of the HTTP remote peer.
`static int` | `TYPE_REQ_CLIENT` REQ_CLIENT: The HTTP client (remote peer) information.
`static int` | `TYPE_REQ_CONTENT` REQ_CONTENT: The mime content type and length of this request.
`static int` | `TYPE_REQ_HEADER` REQ_HEADER: An HTTP request header.
`static int` | `TYPE_REQ_INIT` REQ_INIT: The client requests to the WARP server that a request is about to be processed.
`static int` | `TYPE_REQ_PROCEED` REQ_PROCEED: The client finished transmitting the request.
`static int` | `TYPE_REQ_SCHEME` REQ_SCHEME: The scheme description of this request.
`static int` | `TYPE_REQ_SERVER` REQ_SERVER: The HTTP server information.
`static int` | `TYPE_RES_BODY` RES_BODY: The HTTP response body.
`static int` | `TYPE_RES_COMMIT` RES_COMMIT: The server indicates that the first part of the response (HTTP status line and MIME headers) are to be committed to the client (remote peer).
`static int` | `TYPE_RES_DONE` RES_DONE: The server finished transmitting the response.
`static int` | `TYPE_RES_HEADER` RES_HEADER: An HTTP MIME response header to send to the client.
`static int` | `TYPE_RES_STATUS` RES_STATUS: The server replies with the HTTP response status for the request.
`static int` | `VERS_MAJOR` The WARP protocol major version.
`static int` | `VERS_MINOR` The WARP protocol minor version.

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE

    public static final java.lang.String PACKAGE

  Our package name.

### DEBUG

    public static final boolean DEBUG

  Compile-in debug flag.

### VERS_MAJOR

    public static final int VERS_MAJOR

  The WARP protocol major version.

### VERS_MINOR

    public static final int VERS_MINOR

  The WARP protocol minor version.

### TYPE_INVALID

    public static final int TYPE_INVALID

  INVALID: The packet type hasn't been set yet.

### TYPE_ERROR

    public static final int TYPE_ERROR

  ERROR: The last operation didn't completed correctly.
  Payload description:
  [string] An error message.

### TYPE_DISCONNECT

    public static final int TYPE_DISCONNECT

  DISCONNECT: The connection is being closed.
  No payload:

### TYPE_FATAL

    public static final int TYPE_FATAL

  FATAL: A protocol error occourred, the connection must be closed.
  Payload description:
  [string] An error message.

### TYPE_CONF_WELCOME

    public static final int TYPE_CONF_WELCOME

  CONF_WELCOME: The server issues this packet when a connection is opened. The server awaits for configuration information.
  Payload description:
  [ushort] Major protocol version.
  [ushort] Minor protocol version.
  [integer] The server unique-id.

### TYPE_CONF_ENUM

    public static final int TYPE_CONF_ENUM

  CONF_ENUM: The client requests to the server to enumerate all web-applications available for a specified virtual host. In response to this request, the server replies with a set of CONF_ENUM messages terminated by a CONF_ENUM_DONE message.
  Payload description:
  [string] The virtual host name.
  [ushort] The virtual host port.

### TYPE_CONF_ENUM_APPL

    public static final int TYPE_CONF_ENUM_APPL

  CONF_ENUM_APPL: The server specifies the name of a web-application available for deployment in response to a CONF_ENUMERATE message.
  Payload description:
  [string] The web-application name.

### TYPE_CONF_ENUM_DONE

    public static final int TYPE_CONF_ENUM_DONE

  CONF_ENUM_DONE: The server specifies all web-application names available for deployment for the host specified in the CONF_ENUM message have been transfered.
  No payload:

### TYPE_CONF_DEPLOY

    public static final int TYPE_CONF_DEPLOY

  CONF_DEPLOY: The client attempts deploy a web application.
  Payload description:
  [string] The application name.
  [string] The virtual host name.
  [ushort] The virtual host port.
  [string] The web-application URL path.

### TYPE_CONF_APPLIC

    public static final int TYPE_CONF_APPLIC

  CONF_APPLIC: The server replies to a CONF_DEPLOY message with the web application identifier of the configured application.
  Payload description:
  [integer] The web application unique id for this server.
  [string] The web application real path (where it's expanded).

### TYPE_CONF_MAP

    public static final int TYPE_CONF_MAP

  CONF_MAP: The client requests to the server to enumerate all mappings for a specified web-application. The server replies to this message with a serie of MAP_ALLOW and MAP_DENY packets, terminated by a MAP_DONE packet.
  Payload description:
  [integer] The web application unique id for this server.

### TYPE_CONF_MAP_ALLOW

    public static final int TYPE_CONF_MAP_ALLOW

  CONF_MAP_ALLOW: The server replies to a CONF_MAP message with this packet to indicate a mapping to a static page, or a resource that can be served autonomously by the remote end (the web server).
  Payload description:
  [string] An url-pattern as defined by the Servlet specification.

### TYPE_CONF_MAP_DENY

    public static final int TYPE_CONF_MAP_DENY

  CONF_MAP_DENY: The server replies to a CONF_MAP message with this packet to indicate a mapping to a resource that must be served by the server (servlet container).
  Payload description:
  [string] An url-pattern as defined by the Servlet specification.

### TYPE_CONF_MAP_DONE

    public static final int TYPE_CONF_MAP_DONE

  CONF_MAP_DONE: The server replies to a CONF_MAP message with this packet to indicate that all servlet mappings have been successfully transfered to the other end
  No payload:

### TYPE_CONF_DONE

    public static final int TYPE_CONF_DONE

  CONF_DONE: Client issues this message when all configurations have been processed.
  No payload:

### TYPE_CONF_PROCEED

    public static final int TYPE_CONF_PROCEED

  CONF_PROCEED: Server issues this message in response to a CONF_DONE message, to acknowledge its readiness to accept requests.
  No payload:

### TYPE_REQ_INIT

    public static final int TYPE_REQ_INIT

  REQ_INIT: The client requests to the WARP server that a request is about to be processed.
  Payload description:
  [integer] The web-application unique ID for this server.
  [string] The HTTP method used for this request.
  [string] The request URI.
  [string] The request query arguments.
  [string] The request protocol (HTTP/1.0, HTTP/1.1...).

### TYPE_REQ_CONTENT

    public static final int TYPE_REQ_CONTENT

  REQ_CONTENT: The mime content type and length of this request.
  Payload description:
  [string] The MIME content type of this reques.
  [integer] The content length of this request.

### TYPE_REQ_SCHEME

    public static final int TYPE_REQ_SCHEME

  REQ_SCHEME: The scheme description of this request.
  Payload description:
  [string] The scheme (part before :// in the URL) of this request.

### TYPE_REQ_AUTH

    public static final int TYPE_REQ_AUTH

  REQ_AUTH: Authentication information of the HTTP remote peer.
  Payload description:
  [string] The remote-user name.
  [string] The authentication information.

### TYPE_REQ_HEADER

    public static final int TYPE_REQ_HEADER

  REQ_HEADER: An HTTP request header.
  Payload description:
  [string] The header name.
  [string] The header value.

### TYPE_REQ_SERVER

    public static final int TYPE_REQ_SERVER

  REQ_SERVER: The HTTP server information.
  Payload description:
  [string] The HTTP server host name. [string] The HTTP server IP address. [ushort] The port receiving the HTTP request.

### TYPE_REQ_CLIENT

    public static final int TYPE_REQ_CLIENT

  REQ_CLIENT: The HTTP client (remote peer) information.
  Payload description:
  [string] The HTTP client host name. [string] The HTTP client IP address. [ushort] The remote port originating the HTTP request.

### TYPE_REQ_PROCEED

    public static final int TYPE_REQ_PROCEED

  REQ_PROCEED: The client finished transmitting the request. The server can now proceed and process the request.
  No payload.

### TYPE_RES_STATUS

    public static final int TYPE_RES_STATUS

  RES_STATUS: The server replies with the HTTP response status for the request.
  Payload description:
  [ushort] The HTTP status of the response.
  [string] The HTTP response message.

### TYPE_RES_HEADER

    public static final int TYPE_RES_HEADER

  RES_HEADER: An HTTP MIME response header to send to the client.
  Payload description:
  [string] The MIME header name.
  [string] The MIME header value.

### TYPE_RES_COMMIT

    public static final int TYPE_RES_COMMIT

  RES_COMMIT: The server indicates that the first part of the response (HTTP status line and MIME headers) are to be committed to the client (remote peer).
  No payload.

### TYPE_RES_BODY

    public static final int TYPE_RES_BODY

  RES_BODY: The HTTP response body.
  Payload description:
  [raw] A chunk of the response body.

### TYPE_RES_DONE

    public static final int TYPE_RES_DONE

  RES_DONE: The server finished transmitting the response.
  No payload.

### TYPE_CBK_READ

    public static final int TYPE_CBK_READ

  CBK_READ: A request callback. The WARP server queries the WARP client (HTTP server) to transmit a chunk of the request body.
  Payload description:
  [ushort] The number of bytes the server needs to transmit.

### TYPE_CBK_DATA

    public static final int TYPE_CBK_DATA

  CBK_DATA: As requested by the WARP server, the WARP client (HTTP server) transmits a chunk of the request body.
  Payload description:
  [raw] A chunk of the request body.

### TYPE_CBK_DONE

    public static final int TYPE_CBK_DONE

  CBK_DATA: The WARP client (HTTP server) informs the WARP server that the request body has been fully transmitted.
  No payload.

### TYPE_ASK_SSL

    public static final int TYPE_ASK_SSL

  ASK_SSL: The WARP server (Tomcat) asks the WARP client to transfer the basic SSL information (cypher, keysize and session).
  No payload.

### TYPE_ASK_SSL_CLIENT

    public static final int TYPE_ASK_SSL_CLIENT

  ASK_SSL_CLIENT: The WARP server (Tomcat) asks the WARP server to transfer the client certificate. (just the first element of the chain and the webserver should request for it to the browser if possible).
  No payload.

### TYPE_REP_SSL_CERT

    public static final int TYPE_REP_SSL_CERT

  REP_SSL_CERT: The client certificate (remote peer).
  Payload description:
  [string] The client certificate. (PEM format).

### TYPE_REP_SSL

    public static final int TYPE_REP_SSL

  REP_SSL: SSL information between
  Payload description:
  [string] The cipher_suite. [string] The ssl session. (That is not in the spec's). [ushort] size of the algorithm (56-128).

### TYPE_REP_SSL_NO

    public static final int TYPE_REP_SSL_NO

  REP_SSL_NO: Request SSL information is not available.
  No payload.

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.